package com.muzhi.dingtalk.test.service;

import com.muzhi.dingtalk.test.entity.Department;
import com.muzhi.dingtalk.test.entity.vo.DepartmentDataVo;
import com.muzhi.dingtalk.test.entity.vo.DepartmentQuery;

public interface DepartmentService {

    //查询钉钉接口中的部门列表信息
    String getDingDepartment();

    //获取部门列表
    public DepartmentDataVo<Department> getDepartmentList(Integer page, Integer limit, DepartmentQuery departmentQuery);

    //TODO 获取部门详情列表
    String getDepartmentXQ();
}
